## gnome-session 3.36.0

=== meson_options.txt ===
option('deprecation_flags', type: 'boolean', value: false, description: 'use *_DISABLE_DEPRECATED flags')
option('session_selector', type: 'boolean', value: false, description: 'enable building a custom session selector dialog')
option('systemd', type: 'boolean', value: true, description: 'Use systemd')
option('systemd_session', type: 'combo', choices: ['disable', 'enable', 'default'], value: 'default', description: 'Whether to include systemd session support and use it by default')
option('systemd_journal', type: 'boolean', value:'true', description: 'Send log to systemd-journal')
option('consolekit', type: 'boolean', value: false, description: 'Use consolekit')
option('docbook', type: 'boolean', value: true, description: 'build documentation')
option('man', type: 'boolean', value: true, description: 'build documentation (requires xmlto)')

## gnome-session 2.30.2

=== debian/changelog ===
gnome-session (2.30.2-3) unstable; urgency=low

  * defaults.list: open WebM and MPEG2/TS with totem.

 -- Josselin Mouette <joss@debian.org>  Sat, 06 Nov 2010 13:32:48 +0100

gnome-session (2.30.2-2) unstable; urgency=low

  * Temporarily disable gnome3-session in preparation of the squeeze 
    release. This way gnome-shell can be removed from squeeze too.
  * 03_devicekit_optional.patch: dropped, upower builds everywhere.
  * 03_upower.patch: stolen upstream. Closes: #595088.
  * Update build-dependencies accordingly.
  * 90_relibtoolize.patch: regenerated accordingly.

 -- Josselin Mouette <joss@debian.org>  Sat, 18 Sep 2010 00:18:01 +0200

gnome-session (2.30.2-1) unstable; urgency=low

  [ Michael Biebl ]
  * New upstream stable release.
    - Link against libXext and libXau to not fail with stricter linkers like
      binutils-gold. Closes: #554661
  * Refresh patches for new upstream release.
  * Switch to source format 3.0 (quilt).
    - Add debian/source/format.
    - Drop Build-Depends on quilt.
    - Remove /usr/share/cdbs/1/rules/patchsys-quilt.mk from debian/rules.
  * Bump Standards-Version to 3.9.0. Use Breaks instead of Conflicts as
    recommended by the new policy.
  * Drop Build-Depends on sharutils. We no longer need uuencode.

  [ Josselin Mouette ]
  * Drop build-dependency on type-handling.

 -- Michael Biebl <biebl@debian.org>  Thu, 22 Jul 2010 17:48:48 +0200

gnome-session (2.30.0-1) unstable; urgency=low

  * New upstream release.
  * Refresh patches.
  * 13_capplet_always_save.patch, 14_crash_on_exit.patch: dropped, 
    merged upstream.
  * Pass --libexecdir=/usr/lib, since it will add /gnome-session 
    already.

 -- Josselin Mouette <joss@debian.org>  Tue, 13 Apr 2010 22:53:59 +0200

gnome-session (2.28.0-7) unstable; urgency=low

  * 12_no_gdm_fallback.patch: new patch. Don’t fall back on GDM if 
    ConsoleKit failed to reboot. CK will not even be attempted if it is 
    not available, anyway. Closes: #572085.
  * Require upower/libdevkit-power unconditionnally, now that it works 
    on kfreebsd. 
  * 13_capplet_always_save.patch: stolen upstream. Ensure that the 
    capplet saves all changes when it exits. Closes: #574862.
  * 14_crash_on_exit.patch: stolen upstream. Fix crash upon exit.
    Closes: #548120.

 -- Josselin Mouette <joss@debian.org>  Thu, 25 Mar 2010 20:00:57 +0100

gnome-session (2.28.0-6) unstable; urgency=low

  * debian/control.in
    - Depend on upower instead of devicekit-power.
    - Bump Standards-Version to 3.8.4. No further changes.

 -- Michael Biebl <biebl@debian.org>  Tue, 23 Feb 2010 22:56:04 +0100

gnome-session (2.28.0-5) unstable; urgency=low

  * defaults.list: add text/x-patch. Some packages set brain-dead MIME 
    handlers for this.
  * Remove obsolete gnome-session.dirs.
  * 55gnome-session_gnomerc: add gnome3-session.
  * README.Debian: fix documentation of window manager startup according 
    to the previous upload.
  * Add a gnome3-session binary and a corresponding package, that starts 
    gnome-shell instead of gnome-panel + metacity.
  * 11_saved_session_name.patch: new patch. Allow to change the 
    directory where the session is saved with the command line. The
    corresponding option is used by gnome3-session.
  * Split translations, icons and startup scripts in a new 
    gnome-session-common package.
  * Straighten dependencies accordingly.

 -- Josselin Mouette <joss@debian.org>  Sat, 30 Jan 2010 12:52:45 +0100

gnome-session (2.28.0-4) unstable; urgency=low

  * 01_gnome-wm.patch: OK, you win. Kill all the 3D crap, always use 
    metacity by default. Closes: #553417.
  * Drop mesa-utils dependency accordingly.

 -- Josselin Mouette <joss@debian.org>  Mon, 16 Nov 2009 15:21:05 +0100

gnome-session (2.28.0-3) unstable; urgency=low

  * 03_devicekit_optional.patch: new patch. Make DeviceKit-Power support 
    optional, so that gnome-session builds on non-Linux architectures.
  * 90_relibtoolize.patch: regenerated accordingly, add an autoheader 
    invocation.

 -- Josselin Mouette <joss@debian.org>  Fri, 06 Nov 2009 13:51:37 +0100

gnome-session (2.28.0-2) unstable; urgency=low

  * Don’t require devicekit-power on non-linux architectures.
  * Only recommend gnome-power-manager, so that gnome-session remains 
    installable on kfreebsd. Instead, break versions < 2.28.
  * Fix README.Debian to stop mentioning compiz. Closes: #552400.
  * Remove policykit-gnome dependency.
  * gnome-session-bin depends on devicekit-power on Linux architectures.

 -- Josselin Mouette <joss@debian.org>  Mon, 26 Oct 2009 13:33:47 +0100

gnome-session (2.28.0-1) unstable; urgency=low

  * Depend on gnome-power-manager. Closes: #547887.
    + Make it 2.28 since the interface changed.
  * Include back the file manager in the required components.
  * Add nautilus to the dependencies, accordingly.
  * New upstream release.
  * Update build-dependencies.
  * Require policykit-1-gnome.
  * at-spi-registryd-wrapper has gone away.
  * Set gnome-wm as the default WM using the configure flag.
  * The splash is disabled by default now.
    + Remove it from the package.
    + Clean up the alternative.
  * With all of that, all our GConf overrides disappear.
    + Run update-gconf-defaults once after the upgrade.
  * Update README.Debian accordingly.
  * 01_gnome-wm.patch:
    + Stop making compiz the default. Closes: #547899.
    + Better check for compositing available.
    + Use mutter when it is available.
    + No need to patch the makefiles anymore.
  * Depend on mesa-utils for glxinfo.
  * 10_session_save.patch: port to GtkBuilder.
  * 11_dbus_exit.patch: dropped, merged upstream.
  * 90_relibtoolize.patch: updated for the new version.
  * defaults.list: update for 2.28 versions.

 -- Josselin Mouette <joss@debian.org>  Sat, 24 Oct 2009 10:48:08 +0200

gnome-session (2.26.2-1) unstable; urgency=low

  * defaults.list: use brasero-nautilus instead of nautilus-cd-burner.


=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
# 
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.

Source: gnome-session
Section: gnome
Priority: optional
Maintainer: Josselin Mouette <joss@debian.org>
Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Michael Biebl <biebl@debian.org>
Standards-Version: 3.9.0
Build-Depends: cdbs (>= 0.4.41),
               debhelper (>= 5.0.13),
               gnome-pkg-tools (>= 0.13),
               intltool (>= 0.40.0),
               libglib2.0-dev (>= 2.16.0),
               libgtk2.0-dev (>= 2.14.0),
               libupower-glib-dev (>= 0.9.0),
               libdbus-glib-1-dev (>= 0.76),
               libgconf2-dev (>= 2.10.1-6),
               libstartup-notification0-dev,
               libsm-dev,
               libice-dev,
               libx11-dev,
               libxt-dev,
               libxau-dev,
               libxext-dev,
               libxtst-dev,
               libxrender-dev,
               xmlto,
               xsltproc

Package: gnome-session
Architecture: all
Depends: ${misc:Depends},
         gnome-settings-daemon (>= 2.26),
         gnome-panel (>= 2.26),
         metacity | mutter | sawfish,
         nautilus (>= 2.26),
         policykit-1-gnome,
         gnome-session-bin (>= ${binary:Version}),
         gnome-session-bin (<< ${gnome:NextVersion}),
         gnome-session-common (= ${binary:Version})
Recommends: gnome-power-manager (>= 2.28)
Breaks: bug-buddy (<< 2.20),
        xserver-xorg (<< 1:7.4),
        gnome-power-manager (<< 2.28)
Provides: x-session-manager
Suggests: gnome-user-guide,
          desktop-base,
          gnome-keyring
Description: The GNOME Session Manager - GNOME 2 session
 This package contains a session that can be started from a display
 manager such as GDM. It will load all necessary applications for a
 full-featured user session.
 .
 The session manager also features the ability to save a running session
 an restore it later.
 .
 This version is configured to start the GNOME 2 desktop, based on the
 GNOME panel.

# Package: gnome3-session
# Architecture: all
# Depends: ${misc:Depends},
#          gnome-settings-daemon (>= 2.26),
#          gnome-shell,
#          nautilus (>= 2.26),
#          policykit-1-gnome,
#          gnome-session-bin (>= ${binary:Version}),
#          gnome-session-bin (<< ${gnome:NextVersion}),
#          gnome-session-common (= ${binary:Version})
# Recommends: gnome-power-manager (>= 2.28)
# Breaks: bug-buddy (<< 2.20),
#         xserver-xorg (<< 1:7.4),
#         gnome-power-manager (<< 2.28)
# Provides: x-session-manager
# Suggests: gnome-user-guide,
#           desktop-base,
#           gnome-keyring
# Description: The GNOME Session Manager - GNOME 3 session
#  This package contains a session that can be started from a display
#  manager such as GDM. It will load all necessary applications for a
#  full-featured user session.
#  .
#  The session manager also features the ability to save a running session
#  an restore it later.
#  .
#  This version is configured to start the GNOME 3 desktop, based on the
#  GNOME shell.

Package: gnome-session-bin
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         dbus-x11,
         upower (>= 0.9.0)
Conflicts: gnome-session (<< 2.26.1-5)
Description: The GNOME Session Manager - Minimal runtime
 This package contains the binaries for the GNOME Session Manager, but
 no startup scripts. It is meant for those willing to start
 gnome-session by hand with the components of their choice, and for
 applications such as GDM that use gnome-session internally.

Package: gnome-session-common
Architecture: all
Depends: ${misc:Depends}
Replaces: gnome-session (<< 2.28.0-5),
          libgnomevfs2-common (<< 1:2.24.0-3)
Breaks: gnome-session (<< 2.28.0-5),
        libgnomevfs2-common (<< 1:2.24.0-3)
Description: Common files for the GNOME session manager
 This package contains common files for the GNOME 2 and GNOME 3
 sessions, such as icons, translations and startup scripts.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/gnome.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/gnome-pkg-tools/1/rules/uploaders.mk
include /usr/share/gnome-pkg-tools/1/rules/gnome-version.mk
include /usr/share/gnome-pkg-tools/1/rules/patch-translations.mk
-include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

DEB_CONFIGURE_EXTRA_FLAGS += --localstatedir=/var/lib \
	--libexecdir=/usr/lib \
	--enable-ipv6 \
	--with-default-wm=gnome-wm

LDFLAGS += -Wl,-z,defs -Wl,-O1 -Wl,--as-needed

# Build desktop file for gnome3-session
%.desktop: %.desktop.in
	intltool-merge -d po $< $@
build/gnome3-session:: debian/gnome3.desktop
clean::
	rm -f debian/gnome3.desktop

=== debian/watch ===
version=2
http://ftp.gnome.org/pub/gnome/sources/gnome-session/([\d\.]+)[02468]/gnome-session-([\d\.]+)\.tar\.gz

## gnome-session 2.32.0-0ubuntu1trisquel2

=== debian/changelog ===
gnome-session (2.32.0-0ubuntu1trisquel2) slaine; urgency=low

  * Rebranded for Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Wed, 09 Mar 2011 17:31:33 +0000

gnome-session (2.32.0-0ubuntu1) maverick; urgency=low

  * New upstream release:
    - Miscellaneous string fixes (Philip Withnall)
    - Update information in README and other files (Vincent)
    - Update man pages (Vincent)
    - Update translations
  * debian/patches/24_filter_autosaved_application_for_une.patch:
    - don't run in the UNE session mutter from saved session as this creates an
      inifinite loop as windowmanager check is disabled. (LP: #648693)
  * debian/patches/10_session_save.patch:
    - adapt from configure.in -> configure.ac rename
  * debian/patches/11_saved_session_name.patch,80_new_upstream_session_dialog.patch:
    - refreshed to new version
  * debian/rules, debian/control.in:
    - run autoreconf on build, for 80_new_upstream_session_dialog.patch

 -- Didier Roche <didrocks@ubuntu.com>  Mon, 27 Sep 2010 15:15:13 +0200

gnome-session (2.31.6-0ubuntu2) maverick; urgency=low

  * debian/patches/24_filter_autosaved_application_for_une.patch:
    don't start gnome-panel, metacity/compiz from saved session in UNE.
    This is a current workaround to LP: #578585. A correct fix
    will be to integrate a migration path, excluding all
    required_components from the saved list before starting them.
    It fixes (LP: #620427, #641256) as the applets aren't loaded.

 -- Didier Roche <didrocks@ubuntu.com>  Tue, 21 Sep 2010 15:38:47 +0200

gnome-session (2.31.6-0ubuntu1) maverick; urgency=low

  * New upstream version:
    - Fix a GSeal issue
    - Fixed spelling error in schema description
    - Port gnome-session to upower
    - Fix description of auto_save_session key
    - Drop compatibility tool that sets GTK+ 1.x environment variable
    - Drop the splash program
    - Require upower-glib instead of devkit-power-gobject
    - Add configure flag to select which GTK+ version to use
    - Translation updates.
  * Disable 03_devicekit_optional.patch. It doesn't work with the newer
    upstream version, and we do not need it in Ubuntu at all (we only support
    Linux and thus upower).
  * 21_dkp_start_on_demand.patch: Ported to UPower, and renamed to
    21_up_start_on_demand.patch.
  * 10_session_save.patch, 80_new_upstream_session_dialog.patch: Ported to new
    upstream version.
  * debian/control.in: libdevkit-power-gobject-dev → libupower-glib-dev, and
    drop libstartup-notification0-dev (not required by this version any more).
  * debian/gnome-session-bin.install, debian/gnome-session-common.install:
    gnome-settings-daemon-helper is gone, drop installation.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 06 Aug 2010 11:46:36 +0200

gnome-session (2.30.2-0ubuntu2) maverick; urgency=low

  * debian/patches/23_session_names.patch:
    - Use clearer session names (LP: #599336)

  [ Martin Pitt ]
  * debian/control.in: Replace strict dependency to gnome-panel with a
    Recommends to gnome-panel | unity.

 -- Robert Ancell <robert.ancell@canonical.com>  Thu, 15 Jul 2010 16:55:24 +1000

gnome-session (2.30.2-0ubuntu1) maverick; urgency=low

  * New upstream version
    Session Manager:
    - Export _stop method for clients, for better GNOME Shell experience
    Misc:
    - Explicitly add -lXext -lXau to linker line 
    Translations:

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 22 Jun 2010 14:40:25 +0200

gnome-session (2.30.0-1ubuntu2) maverick; urgency=low

  * Bump gnome-session-common Replaces/Conflicts to << 2.30.0-1ubuntu1.

 -- Loïc Minier <loic.minier@ubuntu.com>  Sun, 06 Jun 2010 10:34:14 +0200

gnome-session (2.30.0-1ubuntu1) maverick; urgency=low

  * Merge from debian unstable, remaining Ubuntu changes:
  * debian/control.in:
    - Build-dep on gnome-common  
    - Build-dep on xtrans-dev
    - Add Vcs-Bzr link
    - Add compiz-gnome as a possible window manager for gnome-session to
      depend on
    - gnome-session breaks gdm << 2.29.92 because of the signal on logout
    - gnome-session-bin Breaks/Replaces gnome-session (<< 2.26.1-5),
      to ensure that the old gnome-session package is deconfigured before 
      installing gnome-session-bin on upgrade. This fixes a race condition 
      when registering GConf schemas
    - gnome-session-bin breaks consolekit (<< 0.3.0-2ubuntu5) due to polkit-1
      migration
  * debian/rules:
    - Run autotools on build
  * debian/55gnome-session_gnomerc:
    - Use POSIX string substitutions (shell internal) instead of external
      basename and cut for startup speed:
  * debian/gnome-session-common.install:
    - Don't install /etc/gnome/defaults.list - this is installed
      by desktop-file-utils on Ubuntu.
  * debian/gnome-session-bin.gconf-defaults:
    - Don't change the default required_components_list.
  * debian/gnome-session.preinst:
    - Clean deprecated autostart conffiles on upgrade
  * debian/patches/01_gnome-wm.patch:
    - Modified to default to Compiz
  * debian/patches/03_no_session_delay.patch:
    - Don't set X-GNOME-Autostart-Phase to not delay other software start
      during GNOME login
  * debian/patches/11_add_failsafe_option.patch:
    - Add a failsafe option to GDM for starting without compiz
  * debian/patches/19_gnome-wm-tweaking.patch:
    - Some magic for determining which WM to use.
  * debian/patches/20_hide_nodisplay.patch:
    - Don't show applications in the Sessions properties dialog that have
      NoDisplay=true.
  * debian/patches/21_dkp_start_on_demand.patch:
    - Don't call dkp_client_new() until actually needed. This blocks
      for some time whilst DK-Power is started, if it wasn't running already
      (which is the case during auto-login). This can delay the whole
      session from starting.
  * debian/patches/22_support_autostart_delay.patch:
    - Bugzilla patch to support adding a delay to autostart apps, using


=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
# 
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.

Source: gnome-session
Section: gnome
Priority: optional
Maintainer: Ubuntu Desktop Team <ubuntu-desktop@lists.ubuntu.com>
XSBC-Original-Maintainer: Josselin Mouette <joss@debian.org>
Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Josselin Mouette <joss@debian.org>
Standards-Version: 3.8.4
Build-Depends: cdbs (>= 0.4.41),
               quilt,
               gnome-common,
               debhelper (>= 5.0.13),
               dh-autoreconf,
               gnome-pkg-tools (>= 0.13),
               sharutils,
               intltool (>= 0.40.0),
               libglib2.0-dev (>= 2.16.0),
               libgtk2.0-dev (>= 2.14.0),
               type-handling,
               libupower-glib-dev (>= 0.9.0),
               libdbus-glib-1-dev (>= 0.76),
               libgconf2-dev (>= 2.10.1-6),
               libsm-dev,
               libice-dev,
               libx11-dev,
               libxt-dev,
               libxau-dev,
               xtrans-dev,
               libxext-dev,
               libxtst-dev,
               libxrender-dev,
               xmlto,
               xsltproc
XS-Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-desktop/gnome-session/ubuntu

Package: gnome-session
Architecture: all
Depends: ${misc:Depends},
         gnome-settings-daemon (>= 2.26),
         metacity | mutter | compiz-gnome | sawfish,
         nautilus (>= 2.26),
         policykit-1-gnome,
         gnome-session-bin (>= ${binary:Version}),
         gnome-session-bin (<< ${gnome:NextVersion}),
         gnome-session-common (= ${binary:Version})
Recommends: gnome-power-manager (>= 2.28),
         gnome-panel (>= 2.26) | unity
Breaks: bug-buddy (<< 2.20),
        xserver-xorg (<< 1:7.4),
        gnome-power-manager (<< 2.28),
        gdm (<< 2.29.92)
Provides: x-session-manager
Suggests: gnome-user-guide,
          desktop-base,
          gnome-keyring
Description: The GNOME Session Manager - GNOME 2 session
 This package contains a session that can be started from a display 
 manager such as GDM. It will load all necessary applications for a 
 full-featured user session.
 .
 The session manager also features the ability to save a running session 
 an restore it later.
 .
 This version is configured to start the GNOME 2 desktop, based on the 
 GNOME panel.

Package: gnome3-session
Architecture: all
Depends: ${misc:Depends},
         gnome-settings-daemon (>= 2.26),
         gnome-shell,
         nautilus (>= 2.26),
         policykit-1-gnome,
         gnome-session-bin (>= ${binary:Version}),
         gnome-session-bin (<< ${gnome:NextVersion}),
         gnome-session-common (= ${binary:Version})
Recommends: gnome-power-manager (>= 2.28)
Breaks: bug-buddy (<< 2.20),
        xserver-xorg (<< 1:7.4),
        gnome-power-manager (<< 2.28)
Provides: x-session-manager
Suggests: gnome-user-guide,
          desktop-base,
          gnome-keyring
Description: The GNOME Session Manager - GNOME 3 session
 This package contains a session that can be started from a display 
 manager such as GDM. It will load all necessary applications for a 
 full-featured user session.
 .
 The session manager also features the ability to save a running session 
 an restore it later.
 .
 This version is configured to start the GNOME 3 desktop, based on the 
 GNOME shell.

Package: gnome-session-bin
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         dbus-x11,
         upower
Replaces: gnome-session (<< 2.26.1-5)
Breaks: consolekit (<< 0.3.0-2ubuntu5), gnome-session (<< 2.26.1-5)
Description: The GNOME Session Manager - Minimal runtime
 This package contains the binaries for the GNOME Session Manager, but 
 no startup scripts. It is meant for those willing to start 
 gnome-session by hand with the components of their choice, and for 
 applications such as GDM that use gnome-session internally.

Package: gnome-session-common
Architecture: all
Depends: ${misc:Depends}
Replaces: gnome-session (<< 2.30.0-1ubuntu1),
          libgnomevfs2-common (<< 1:2.24.0-3)
Conflicts: gnome-session (<< 2.30.0-1ubuntu1),
           libgnomevfs2-common (<< 1:2.24.0-3)
Description: Common files for the GNOME session manager
 This package contains common files for the GNOME 2 and GNOME 3 
 sessions, such as icons, translations and startup scripts.

=== debian/rules ===
--- 
+++ 
@@ -2,11 +2,19 @@
 
 include /usr/share/cdbs/1/rules/debhelper.mk
 include /usr/share/cdbs/1/class/gnome.mk
+include /usr/share/cdbs/1/rules/patchsys-quilt.mk
 include /usr/share/cdbs/1/rules/utils.mk
 include /usr/share/gnome-pkg-tools/1/rules/uploaders.mk
 include /usr/share/gnome-pkg-tools/1/rules/gnome-version.mk
 include /usr/share/gnome-pkg-tools/1/rules/patch-translations.mk
 -include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk
+include /usr/share/cdbs/1/rules/autoreconf.mk
+
+DEB_AUTO_UPDATE_LIBTOOL=pre
+DEB_AUTO_UPDATE_ACLOCAL=1.11
+DEB_AUTO_UPDATE_AUTOCONF=1
+DEB_AUTO_UPDATE_AUTOHEADER=1
+DEB_AUTO_UPDATE_AUTOMAKE=1.11
 
 DEB_CONFIGURE_EXTRA_FLAGS += --localstatedir=/var/lib \
 	--libexecdir=/usr/lib \

## gnome-session 2.32.1

=== debian/changelog ===
gnome-session (2.32.1-0ubuntu19) natty; urgency=low

  * debian/patches/05_enhance_fallback_mode.patch: 
    - initialize the fallback message variable to null so it's not freed in
      the livecd case where no fallback message is displayed
      (lp: #751394)

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 05 Apr 2011 17:46:20 +0200

gnome-session (2.32.1-0ubuntu18) natty; urgency=low

  * debian/patches/05_enhance_fallback_mode.patch:
    - fix suffix about the Fallback message to suit our .session file
      (LP: #746266)
    - don't show the message on live session

 -- Didier Roche <didrocks@ubuntu.com>  Mon, 04 Apr 2011 14:37:23 +0200

gnome-session (2.32.1-0ubuntu17) natty; urgency=low

  * Rename ubuntu desktop edition to ubuntu and ubuntu classic desktop to
    ubuntu classic

 -- Didier Roche <didrocks@ubuntu.com>  Wed, 23 Mar 2011 10:43:58 +0100

gnome-session (2.32.1-0ubuntu16) natty; urgency=low
     
  [ Gunnar Hjalmarsson ]
  * debian/patches/12_add_gnome-2d_session.patch:
    - Ambigous label in GDM's session chooser modified. Thanks to
      Wayne Davison (LP: #730382).

  [ Didier Roche ]
  * debian/patches/11_add_failsafe_option.patch:
    Make gnome-classic fallbacking in gnome-2d if unity-support-test --compiz
    tells it can't run compiz

  [ Sebastien Bacher ]
  * debian/patches/98_git_session_dialog.patch:
    - set a better default geometry for the gnome-session-properties dialog
      thanks Nico van der Walt for suggesting a patch for it (lp: #728788)

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 18 Mar 2011 16:41:15 +0100

gnome-session (2.32.1-0ubuntu15) natty; urgency=low

  * debian/patches/81_restart_string_on_inhibit.patch
    - Replaced "Reboot Anyway" with "Restart Anyway", 
      thanks Chris Wilson (LP:#685050)
  * debian/po-up/POTFILES.in
    - Replaced non-existing 10_session_save.patch with 
      81_restart_string_on_inhibit.patch

 -- Ken VanDine <ken.vandine@canonical.com>  Thu, 10 Feb 2011 11:09:35 -0500

gnome-session (2.32.1-0ubuntu14) natty; urgency=low

  * debian/patches/02_add_ubuntu_session.patch:
    - add a better wording (LP: #712091)
  * debian/control.in:
    - recommends unity-2d as a gnome-panel | unity alternative (LP: #708928)
  * debian/patches/05_enhance_fallback_mode.patch:
    - change the multi-fallback handling, now a list of key in the keyfile is
      provided to FallbackSessionsID. If the fallback is found, the matching
      <keyname>_Message will be displayed if exists. (LP: #704409)
    - don't show "change user session" for now has gnome-control-center with
      that option won't be ready for natty (LP: #711920)
    - adapt the gnome session to the new format (LP: #707232)
  * debian/patches/02_add_ubuntu_session.patch:
    - adapt to new format
    - set ubuntu as the default session if no argument is given

 -- Didier Roche <didrocks@ubuntu.com>  Thu, 03 Feb 2011 16:17:57 +0100

gnome-session (2.32.1-0ubuntu13) natty; urgency=low

  * debian/patches/04_increase_helper_timeout.patch:
    - increase the timeout to the insane value of 5s to avoid false positive.
      The unity detection plugin needs a real fix to lower its deps
      (LP: #704883)
  * debian/patches/06_nuke_session_saving.patch:
    - as we only have one tab now, don't show it.

 -- Didier Roche <didrocks@ubuntu.com>  Wed, 26 Jan 2011 11:50:50 +0100

gnome-session (2.32.1-0ubuntu12) natty; urgency=low

  * debian/patches/05_show_message_if_fallback.patch =>
    debian/patches/05_enhance_fallback_mode.patch:
    - now support multiple fallbacks. It will pick the first valid one.
      show the corresponding fallback message if needed.
  * debian/patches/02_add_ubuntu_session.patch: (LP: #703653)
    - the ubuntu session has now two fallbacks:
      + unity-2d (2d-ubuntu) for launching the 2d version of unity without any
        warning message if present.
      + gnome-classic (classic-gnome), launching the classic gnome shell
        (panels) with a warning message about the different user experience.

 -- Didier Roche <didrocks@ubuntu.com>  Tue, 18 Jan 2011 12:58:24 +0100

gnome-session (2.32.1-0ubuntu11) natty; urgency=low

  * debian/patches/02_add_ubuntu_session.patch:
    - fix some typos.
  * debian/patches/03_no_required_component_saved_in_main_session.patch
    (removed)
    debian/patches/10_session_save.patch (removed)
    debian/patches/06_nuke_session_saving.patch: (added)
    - remove saved session handling: it's broken right now with multiple
      sessions and should get a proper upstream refactoring (discussions still
      ongoing)
    - remove the option in the gnome-session-properties as well

 -- Didier Roche <didrocks@ubuntu.com>  Sun, 16 Jan 2011 12:42:48 +0100

gnome-session (2.32.1-0ubuntu10) natty; urgency=low

  * debian/patches/06_launch_session_requirement_before_saved_session.patch,
    debian/patches/03_no_required_component_saved_in_main_session.patch:
    - revert to older session management and workaround to avoid loading a panel
      or a windowmanager other than compiz + unity from a saved component
  * debian/patches/03_no_required_component_saved_in_main_session.patch:
    don't start gnome-panel, metacity/mutter from saved session in the
    ubuntu session.
  * debian/patches/11_add_failsafe_option.patch:
    - create a 2d-gnome session type instead of failsafe and point the failsafe
      session to it
  * debian/patches/12_add_gnome-2d_session.patch:
    - create a metacity + gnome-panel session without any graphical effect

 -- Didier Roche <didrocks@ubuntu.com>  Tue, 11 Jan 2011 21:59:06 +0100

gnome-session (2.32.1-0ubuntu9) natty; urgency=low

  * debian/patches/04_increase_helper_timeout.patch:
    - increase the timeout for the session helper as Nux can take more than
      500ms to perform. Especially true on livecd. 
  * debian/patches/05_show_message_if_fallback.patch:
    - add an if fallback message to display the first time a session is
      fallbacking to another one


=== debian/control ===
--- 
+++ 
@@ -8,15 +8,13 @@
 Priority: optional
 Maintainer: Ubuntu Desktop Team <ubuntu-desktop@lists.ubuntu.com>
 XSBC-Original-Maintainer: Josselin Mouette <joss@debian.org>
-Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Josselin Mouette <joss@debian.org>
+Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Standards-Version: 3.8.4
 Build-Depends: cdbs (>= 0.4.41),
-               quilt,
                gnome-common,
                debhelper (>= 5.0.13),
                dh-autoreconf,
                gnome-pkg-tools (>= 0.13),
-               sharutils,
                intltool (>= 0.40.0),
                libglib2.0-dev (>= 2.16.0),
                libgtk2.0-dev (>= 2.14.0),
@@ -27,6 +25,7 @@
                libsm-dev,
                libice-dev,
                libx11-dev,
+               libgl1-mesa-dev,
                libxt-dev,
                libxau-dev,
                xtrans-dev,
@@ -48,7 +47,7 @@
          gnome-session-bin (<< ${gnome:NextVersion}),
          gnome-session-common (= ${binary:Version})
 Recommends: gnome-power-manager (>= 2.28),
-         gnome-panel (>= 2.26) | unity
+         gnome-panel (>= 2.26) | unity | unity-2d
 Breaks: bug-buddy (<< 2.20),
         xserver-xorg (<< 1:7.4),
         gnome-power-manager (<< 2.28),
@@ -58,14 +57,14 @@
           desktop-base,
           gnome-keyring
 Description: The GNOME Session Manager - GNOME 2 session
- This package contains a session that can be started from a display 
- manager such as GDM. It will load all necessary applications for a 
+ This package contains a session that can be started from a display
+ manager such as GDM. It will load all necessary applications for a
  full-featured user session.
  .
- The session manager also features the ability to save a running session 
+ The session manager also features the ability to save a running session
  an restore it later.
  .
- This version is configured to start the GNOME 2 desktop, based on the 
+ This version is configured to start the GNOME 2 desktop, based on the
  GNOME panel.
 
 Package: gnome3-session
@@ -87,14 +86,14 @@
           desktop-base,
           gnome-keyring
 Description: The GNOME Session Manager - GNOME 3 session
- This package contains a session that can be started from a display 
- manager such as GDM. It will load all necessary applications for a 
+ This package contains a session that can be started from a display
+ manager such as GDM. It will load all necessary applications for a
  full-featured user session.
  .
- The session manager also features the ability to save a running session 
+ The session manager also features the ability to save a running session
  an restore it later.
  .
- This version is configured to start the GNOME 3 desktop, based on the 
+ This version is configured to start the GNOME 3 desktop, based on the
  GNOME shell.
 
 Package: gnome-session-bin
@@ -106,9 +105,9 @@
 Replaces: gnome-session (<< 2.26.1-5)
 Breaks: consolekit (<< 0.3.0-2ubuntu5), gnome-session (<< 2.26.1-5)
 Description: The GNOME Session Manager - Minimal runtime
- This package contains the binaries for the GNOME Session Manager, but 
- no startup scripts. It is meant for those willing to start 
- gnome-session by hand with the components of their choice, and for 
+ This package contains the binaries for the GNOME Session Manager, but
+ no startup scripts. It is meant for those willing to start
+ gnome-session by hand with the components of their choice, and for
  applications such as GDM that use gnome-session internally.
 
 Package: gnome-session-common
@@ -119,5 +118,5 @@
 Conflicts: gnome-session (<< 2.30.0-1ubuntu1),
            libgnomevfs2-common (<< 1:2.24.0-3)
 Description: Common files for the GNOME session manager
- This package contains common files for the GNOME 2 and GNOME 3 
+ This package contains common files for the GNOME 2 and GNOME 3
  sessions, such as icons, translations and startup scripts.

=== debian/rules ===
--- 
+++ 
@@ -2,19 +2,12 @@
 
 include /usr/share/cdbs/1/rules/debhelper.mk
 include /usr/share/cdbs/1/class/gnome.mk
-include /usr/share/cdbs/1/rules/patchsys-quilt.mk
 include /usr/share/cdbs/1/rules/utils.mk
 include /usr/share/gnome-pkg-tools/1/rules/uploaders.mk
 include /usr/share/gnome-pkg-tools/1/rules/gnome-version.mk
 include /usr/share/gnome-pkg-tools/1/rules/patch-translations.mk
 -include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk
 include /usr/share/cdbs/1/rules/autoreconf.mk
-
-DEB_AUTO_UPDATE_LIBTOOL=pre
-DEB_AUTO_UPDATE_ACLOCAL=1.11
-DEB_AUTO_UPDATE_AUTOCONF=1
-DEB_AUTO_UPDATE_AUTOHEADER=1
-DEB_AUTO_UPDATE_AUTOMAKE=1.11
 
 DEB_CONFIGURE_EXTRA_FLAGS += --localstatedir=/var/lib \
 	--libexecdir=/usr/lib \

=== debian/watch ===
version=2
http://ftp.gnome.org/pub/gnome/sources/gnome-session/([\d\.]+)\d/gnome-session-([\d\.]+)\.tar\.gz

## gnome-session 2.32.1-0ubuntu20+5.0trisquel7

=== debian/changelog ===
gnome-session (2.32.1-0ubuntu20+5.0trisquel7) dagda; urgency=low

  * Rebranded for Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Sat, 06 Aug 2011 23:20:58 +0000

gnome-session (2.32.1-0ubuntu20) natty-proposed; urgency=low

  * debian/patches/02_add_ubuntu_session.patch,
    debian/patches/05_enhance_fallback_mode.patch:
    - load the fallback message with the right locale (LP: #758621)

 -- Didier Roche <didrocks@ubuntu.com>  Tue, 26 Apr 2011 12:49:01 +0200

## gnome-session 3.2.0

=== debian/changelog ===
gnome-session (3.2.0-0ubuntu3) oneiric; urgency=low

  * debian/patches/00git_dont_idle_on_0_timeouts.patch:
    - Avoid using an idle timeout at all when the time is 0 (LP: #863038)

 -- Rodrigo Moya <rodrigo.moya@canonical.com>  Thu, 06 Oct 2011 12:36:00 +0200

gnome-session (3.2.0-0ubuntu2) oneiric; urgency=low

  * 104_dont_show_fallback_warning.patch:
    - Disable GNOME Fallback warning. It doesn't really explain anything
      and assumes that there aren't people that want to run Fallback.

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 28 Sep 2011 23:30:55 -0400

gnome-session (3.2.0-0ubuntu1) oneiric; urgency=low

  * New upstream release:
    - updated translations

 -- Didier Roche <didrocks@ubuntu.com>  Mon, 26 Sep 2011 15:34:55 +0200

gnome-session (3.1.92-0ubuntu1) oneiric; urgency=low

  * New upstream release

 -- Didier Roche <didrocks@ubuntu.com>  Thu, 22 Sep 2011 16:53:19 +0200

gnome-session (3.1.91-0ubuntu2) oneiric; urgency=low

  * debian/patches/50_ubuntu_sessions.patch:
    - Use notify-osd for GNOME Classic notifications. This also fixes
      a bug where the GNOME Classic with effects session didn't work.
  * debian/patches/52_xdg_current_desktop.patch: Updated

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 08 Sep 2011 10:33:34 -0400

gnome-session (3.1.91-0ubuntu1) oneiric; urgency=low

  * New upstream release:
    - Fix usage of %lld for 64-bit formats (Owen Taylor)
    - Add a translator comment (Matthias Clasen)
    - Updated translations

 -- Didier Roche <didrocks@ubuntu.com>  Tue, 06 Sep 2011 09:37:10 +0200

gnome-session (3.1.90-0ubuntu3) oneiric; urgency=low

  * debian/control.in:
    - readd libgconf2-dev

 -- Didier Roche <didrocks@ubuntu.com>  Fri, 02 Sep 2011 11:55:28 +0200

gnome-session (3.1.90-0ubuntu2) oneiric; urgency=low

  * debian/control.in:
    - add libjson-glib-dev and remove libgconf2-dev build-dep

 -- Didier Roche <didrocks@ubuntu.com>  Fri, 02 Sep 2011 10:09:39 +0200

gnome-session (3.1.90-0ubuntu1) oneiric; urgency=low

  * New upstream release
  * debian/patches/103_kill_the_fail_whale.patch:
    - seems that the fail whale try to come back and resist from his removal
      refreshed the patch to ensure it's killed and won't come back ever ever
      again.
  * debian/patches/50_ubuntu_sessions.patch:
    - ensure the unity session is only shown if unity is installed
      (LP: #839145)

 -- Didier Roche <didrocks@ubuntu.com>  Fri, 02 Sep 2011 09:54:24 +0200

gnome-session (3.1.5-0ubuntu2) oneiric; urgency=low

  * debian/patches/50_ubuntu_sessions.patch:
    - the unity-2d workaround isn't needed anymore
  * debian/patches/52_xdg_current_desktop.patch:
    - adapted to previous patch diff

 -- Didier Roche <didrocks@ubuntu.com>  Thu, 01 Sep 2011 17:58:49 +0200

gnome-session (3.1.5-0ubuntu1) oneiric; urgency=low

  * New upstream release
  * debian/patches/20_hide_nodisplay.patch: Refreshed
  * debian/patches/50_ubuntu_sessions.patch: Fixed typo
  * debian/patches/104_respect_onlyshowin_in_dlg.patch:
    - Dropped, applied upstream
  * debian/patches/105_respect_xdg_current_desktop.patch:
    - Dropped, applied upstream

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 15 Aug 2011 03:08:53 -0400

gnome-session (3.1.3-0ubuntu11) oneiric; urgency=low

  * debian/patches/50_ubuntu_sessions.patch:
    - workaround an auto activation issue an unity2d for the dash. Note
      that the spread needs to open a working session, so the spread
      isn't available for now.
  * debian/patches/52_xdg_current_desktop.patch:
    - adapted to previous patch diff

 -- Didier Roche <didrocks@ubuntu.com>  Thu, 11 Aug 2011 21:26:59 +0200

gnome-session (3.1.3-0ubuntu10) oneiric; urgency=low

  * debian/patches/50_ubuntu_sessions.patch:
    - fix typo on Hidden
  * debian/postinst, postrm:
    - set the default lightdm session as ubuntu if none already set

 -- Didier Roche <didrocks@ubuntu.com>  Wed, 10 Aug 2011 02:23:55 +0200

gnome-session (3.1.3-0ubuntu9) oneiric; urgency=low

  * debian/patches/50_ubuntu_sessions.patch:
    - add ubuntu.desktop for transitionning to it
    - hide gnome.desktop (will be transitinonned post LTS to gnome-shell to
      gnome)
  * debian/gnome-session.install:
    - install the new session file

 -- Didier Roche <didrocks@ubuntu.com>  Tue, 09 Aug 2011 15:09:25 +0200

gnome-session (3.1.3-0ubuntu8) oneiric; urgency=low

  * debian/patches/50_ubuntu_sessions.patch:
    - gnome-shell.desktop adds --session=gnome now that the "ubuntu" session
      is the default

 -- Didier Roche <didrocks@ubuntu.com>  Sat, 06 Aug 2011 07:40:17 +0200

gnome-session (3.1.3-0ubuntu7) oneiric; urgency=low

  * add debian/gnome-session-common.gsettings-override:
    - set ubuntu as the default session if nothing is provided
      (LP: #820372)

 -- Didier Roche <didrocks@ubuntu.com>  Fri, 05 Aug 2011 07:57:43 +0200

gnome-session (3.1.3-0ubuntu6) oneiric; urgency=low

  * debian/patches/50_ubuntu_sessions.patch:
    - Revert my last change.  Making the root program be 'env'
      confuses some Xsession.d scripts.  LP: #816086
  * debian/patches/52_xdg_current_desktop.patch:
    - Set XDG_CURRENT_DESKTOP inside gnome-session based on a
      new key 'DesktopName' in gnome-session .desktop files.

 -- Michael Terry <mterry@ubuntu.com>  Tue, 26 Jul 2011 15:52:43 -0400

gnome-session (3.1.3-0ubuntu5) oneiric; urgency=low

  * debian/patches/50_ubuntu_sessions.patch:
    - Have the XSession desktop files set XDG_CURRENT_DESKTOP to
      either GNOME or Unity as appropriate.

 -- Michael Terry <mterry@ubuntu.com>  Wed, 20 Jul 2011 13:36:04 -0400

gnome-session (3.1.3-0ubuntu4) oneiric; urgency=low

  * debian/patches/03_display_session_capplet.patch:
    - Add Unity to OnlyShowIn value (LP: #803519)

 -- Michael Terry <mterry@ubuntu.com>  Tue, 19 Jul 2011 18:45:45 -0400

gnome-session (3.1.3-0ubuntu3) oneiric; urgency=low

  * debian/patches/104_respect_onlyshowin_in_dlg.patch:
    - Respect OnlyShowIn value when deciding which apps to show to user
